API reference
Queue a product batch delete
Queues the deletion of several products. Returns immediately with a job; deletion happens in the background.
POST
/v1/catalog/products/batch/deleteQueues the deletion of several products. Returns immediately with a job; deletion happens in the background.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/products/batch/delete" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "status": "pending", "resource": "string", "format": "string", "createdOn": "2019-08-24T14:15:22Z"}